## kdev-python 1.5.1

=== debian/changelog ===
kdev-python (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1201742)
  * Update copyright 
  * Remove duplicated libpython2.7-kdevelop.so as it's not needed
  * Improve package description

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 11:43:24 +0200

kdev-python (1.5.0-0ubuntu2) saucy; urgency=low

  * Add build-dep on libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 May 2013 17:46:40 +0100

kdev-python (1.5.0-0ubuntu1) saucy; urgency=low

  * Initial release LP: #1176225

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 May 2013 16:54:48 +0100
