=== debian/control ===
Source: kdev-python
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev, kdelibs5-dev, libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/tags/kdev-python

Package: kdev-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDevelop Python Plugin
 Python language support plugin for Kdevelop providing
 * syntax checking
 * code completion
 * quickopen support
 and more for the python scripting language
