## kdev-python 1.6.0

=== debian/changelog ===
kdev-python (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:04:34 +0100
