=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev, kdelibs5-dev, libqtwebkit-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev (>= 1.6.0), kdelibs5-dev, libqtwebkit-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kdevelop.org/tags/kdev-python
