=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	cp -r python-src python-src-backup
	dh_auto_configure

override_dh_auto_clean:
	if [ -e python-src-backup ]; then \
	  rm -rf python-src; \
	  mv python-src-backup python-src; \
	fi
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm -f debian/kdev-python/usr/lib/libpython2.7-kdevelop.so
	find debian -name *pyc | xargs rm
