## kdev-python 1.7.0

=== debian/changelog ===
kdev-python (1.7.0-0ubuntu2) utopic; urgency=medium

  * Add build-depends on python, needed for compile on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Sep 2014 11:10:02 +0200

kdev-python (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 16 Sep 2014 14:07:38 -0700
