## kdev-python 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,24 @@
 PROJECT(kdevpython)
+
+# write the plugin version to a file
+set(KDEVPYTHON_VERSION_MAJOR 1)
+set(KDEVPYTHON_VERSION_MINOR 7)
+set(KDEVPYTHON_VERSION_PATCH 1)
+# KDevplatform dependency version
+set( KDEVPLATFORM_VERSION "${KDEVPYTHON_VERSION_MAJOR}.${KDEVPYTHON_VERSION_MINOR}.${KDEVPYTHON_VERSION_PATCH}" )
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${kdevpython_SOURCE_DIR}/cmake/)
 
+cmake_minimum_required(VERSION 2.8.9)
+
 find_package(KDE4 REQUIRED)
-find_package(KDevPlatform 1.6.0 REQUIRED)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 
-# write the plugin version to a file
-set(KDEVPYTHON_VERSION_MAJOR 1)
-set(KDEVPYTHON_VERSION_MINOR 6)
-set(KDEVPYTHON_VERSION_PATCH 0)
 
 # find the system python 2 interpreter, only used for determining search paths.
 find_package(PythonInterp 2.7 REQUIRED)
-
 configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )
 
-cmake_minimum_required(VERSION 2.8)
 
 enable_testing()
 
@@ -39,6 +42,10 @@
 
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9011 )
 
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
+
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}/parser
 )
@@ -49,16 +56,18 @@
 add_subdirectory(duchain)
 add_subdirectory(codecompletion)
 add_subdirectory(debugger)
-add_subdirectory(codegen)
 add_subdirectory(docfilekcm)
 add_subdirectory(pep8kcm)
 
 set(kdevpythonlanguagesupport_PART_SRCS
-    codegen/simplerefactoring.cpp
+    codegen/correctionfilegenerator.cpp
+    codegen/refactoring.cpp
     pythonlanguagesupport.cpp
     pythonparsejob.cpp
     pythonhighlighting.cpp
 )
+
+kde4_add_ui_files(kdevpythonlanguagesupport_PART_SRCS codegen/correctionwidget.ui)
 
 kde4_add_plugin(kdevpythonlanguagesupport ${kdevpythonlanguagesupport_PART_SRCS})
 
@@ -75,9 +84,11 @@
 
 install(TARGETS kdevpythonlanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})
 
-install(FILES kdevpythonsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+configure_file(kdevpythonsupport.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevpythonsupport.desktop)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevpythonsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 
 install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
+install(DIRECTORY correction_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
 install(DIRECTORY python-src/Lib/encodings DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/encodings)
 
 include(MacroOptionalAddSubdirectory)
