=== debian/control ===
Source: kdev-python
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev,
               kdevelop-pg-qt,
               kdevplatform-dev (>= 1.7.0),
               libqtwebkit-dev,
               pkg-kde-tools,
               python
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/tags/kdev-python

Package: kdev-python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop Python Plugin
 Python language support plugin for Kdevelop providing
    * syntax checking
    * code completion
    * quickopen support
 and more for the python scripting language
