## kdev-python 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # write the plugin version to a file
 set(KDEVPYTHON_VERSION_MAJOR 1)
 set(KDEVPYTHON_VERSION_MINOR 7)
-set(KDEVPYTHON_VERSION_PATCH 1)
+set(KDEVPYTHON_VERSION_PATCH 3)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPYTHON_VERSION_MAJOR}.${KDEVPYTHON_VERSION_MINOR}.${KDEVPYTHON_VERSION_PATCH}" )
