=== codecompletion/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     items/implementfunction.cpp
     items/importfile.cpp
     items/keyword.cpp
+    items/replacementvariable.cpp
 )
 
 kde4_add_library(kdev4pythoncompletion SHARED ${completion_SRCS})
@@ -24,7 +25,7 @@
     kdev4pythonduchain
 )
 
-target_link_libraries(kdev4pythoncompletion
+target_link_libraries(kdev4pythoncompletion LINK_PRIVATE
     ${KDE4_KDECORE_LIBS}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}
