=== debugger/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 
 kde4_add_plugin(kdevpdb ${kdevpdb_PART_SRCS})
 target_link_libraries(kdevpdb
-    sublime
     kdev4pythonparser
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
