=== duchain/CMakeLists.txt ===
--- 
+++ 
@@ -24,19 +24,22 @@
     navigation/navigationwidget.cpp
     navigation/declarationnavigationcontext.cpp
 
+    correctionhelper.cpp
+
     assistants/missingincludeassistant.cpp
     ../docfilekcm/docfilewizard.cpp # for the docfile generation assistant widget, to be used in the problem resolver
 )
 
 
 kde4_add_library( kdev4pythonduchain SHARED ${duchain_SRCS} )
-target_link_libraries( kdev4pythonduchain
+target_link_libraries( kdev4pythonduchain LINK_PRIVATE
     ${KDE4_KDECORE_LIBS}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
     ${KDEVPLATFORM_PROJECT_LIBRARIES}
     ${KDE4_KTEXTEDITOR_LIBS}
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}
     ${QT_QTWEBKIT_LIBRARY}
+    ${KDEVPLATFORM_UTIL_LIBRARIES}
     kdev4pythonparser
  )
