=== debian/changelog ===
kdev-python (1.7.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release.
  * Add conflict to python3 version. 
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 10:05:54 -0800
