=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: kdev-python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: kdevelop-python
 Description: KDevelop Python Plugin
  Python language support plugin for Kdevelop providing
     * syntax checking
