=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,3 @@
 	  mv python-src-backup python-src; \
 	fi
 	dh_auto_clean
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -f debian/kdev-python/usr/lib/libpython2.7-kdevelop.so
-	find debian -name *pyc | xargs rm
